For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList workbooks
      • POSTCreate a workbook
      • GETGet a workbook
      • DELDelete a workbook
      • PATCHUpdate a workbook
      • GETGet commits for a workbook
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceWorkbooks

Get commits for a workbook

GET
https://api.x.flatfile.com/v1/workbooks/:workbookId/commits
GET
/v1/workbooks/:workbookId/commits
$curl https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID/commits \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": [
3 {
4 "id": "us_vr_YOUR_ID",
5 "sheetId": "us_sh_YOUR_ID",
6 "createdBy": "us_usr_YOUR_ID",
7 "createdAt": "2019-08-24T14:15:22Z"
8 }
9 ]
10}
Returns the commits for a workbook
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workbookIdstringRequired
ID of workbook

Headers

X-Disable-Hooks"true"Required

Query parameters

completedbooleanOptional
If true, only return commits that have been completed. If false, only return commits that have not been completed. If not provided, return all commits.

Response

This endpoint returns an object.
datalist of objects